Commit 43b10968 authored by Jure's avatar Jure

chore: remove some unneeded

parent 9be97dc0
......@@ -11,6 +11,6 @@
"react": ">=15"
},
"devDependencies": {
"react-dnd-test-backend": "^2.5.4"
"react-dnd-test-backend": "^7.0.0"
}
}
......@@ -4,43 +4,5 @@
"private": true,
"license": "MIT",
"devDependencies": {
"@pubsweet/logger": "^0.2.7",
"@pubsweet/styleguide": "^3.2.0",
"babel-cli": "^6.26.0",
"babel-eslint": "^8.0.3",
"babel-loader": "^7.1.2",
"babel-plugin-array-includes": "^2.0.3",
"babel-preset-env": "^1.6.1",
"babel-preset-react": "^6.24.1",
"babel-preset-stage-2": "^6.24.1",
"config": "^2.0.1",
"css-loader": "^0.28.7",
"enzyme": "^3.7.0",
"enzyme-adapter-react-16": "^1.6.0",
"express": "^4.15.4",
"file-loader": "^0.11.2",
"font-awesome": "^4.7.0",
"identity-obj-proxy": "^3.0.0",
"jest": "^23.5.0",
"joi-browser": "^13.4.0",
"lerna": "^2.5.1",
"node-sass": "^4.5.3",
"pubsweet": "^3.0.9",
"pubsweet-client": "^6.1.0",
"pubsweet-server": "^10.1.0",
"pubsweet-theme-plugin": "^0.0.3",
"react": "^16.3.2",
"react-dom": "^16.3.2",
"react-router-dom": "^4.2.2",
"react-test-renderer": "^16.5.2",
"redux": "^3.7.2",
"redux-mock-store": "^1.3.0",
"redux-thunk": "^2.2.0",
"sass-loader": "^6.0.6",
"standard": "^11.0.1",
"style-loader": "^0.18.2",
"supertest": "^3.0.0",
"url-loader": "^0.5.9",
"webpack": "^3.5.6"
}
}
......@@ -36,17 +36,10 @@
"enzyme": "^3.7.0",
"enzyme-adapter-react-16": "^1.6.0",
"faker": "^4.1.0",
"file-loader": "^1.1.5",
"identity-obj-proxy": "^3.0.0",
"jest": "^23.6.0",
"node-sass": "^4.5.3",
"react-styleguidist": "^6.2.5",
"react-test-renderer": "^16.5.2",
"redux-mock-store": "^1.4.0",
"sass-loader": "^6.0.6",
"style-loader": "^0.19.0",
"webpack": "^3.8.1",
"webpack-node-externals": "^1.6.0"
"redux-mock-store": "^1.4.0"
},
"peerDependencies": {
"pubsweet-client": ">=1.0.0",
......
......@@ -28,15 +28,7 @@
"babel-preset-env": "^1.6.0",
"babel-preset-react": "^6.24.1",
"babel-preset-stage-2": "^6.24.1",
"css-loader": "^0.28.4",
"faker": "^4.1.0",
"file-loader": "^1.1.5",
"node-sass": "^4.5.3",
"react-styleguidist": "^6.2.5",
"sass-loader": "^6.0.6",
"style-loader": "^0.19.0",
"webpack": "^3.8.1",
"webpack-node-externals": "^1.6.0"
"faker": "^4.1.0"
},
"peerDependencies": {
"react": ">=16.3"
......
......@@ -19,15 +19,7 @@
"babel-preset-env": "^1.6.0",
"babel-preset-react": "^6.24.1",
"babel-preset-stage-2": "^6.24.1",
"css-loader": "^0.28.4",
"faker": "^4.1.0",
"file-loader": "^1.1.5",
"node-sass": "^4.5.3",
"react-styleguidist": "^6.0.8",
"sass-loader": "^6.0.6",
"style-loader": "^0.19.0",
"webpack": "^3.8.1",
"webpack-node-externals": "^1.6.0"
"faker": "^4.1.0"
},
"peerDependencies": {
"react": ">=16",
......
......@@ -25,15 +25,7 @@
"babel-preset-env": "^1.6.0",
"babel-preset-react": "^6.24.1",
"babel-preset-stage-2": "^6.24.1",
"css-loader": "^0.28.4",
"faker": "^4.1.0",
"file-loader": "^1.1.5",
"node-sass": "^4.5.3",
"react-styleguidist": "^6.2.5",
"sass-loader": "^6.0.6",
"style-loader": "^0.19.0",
"webpack": "^3.8.1",
"webpack-node-externals": "^1.6.0"
"faker": "^4.1.0"
},
"peerDependencies": {
"pubsweet-client": ">=2.1.0",
......
......@@ -26,22 +26,15 @@
"babel-preset-env": "^1.6.0",
"babel-preset-react": "^6.24.1",
"babel-preset-stage-2": "^6.24.1",
"css-loader": "^0.28.4",
"faker": "^4.1.0",
"file-loader": "^1.1.5",
"node-sass": "^4.5.3",
"prop-types": "^15.5.10",
"pubsweet-client": "^6.1.0",
"react": "^16.2.0",
"react-dom": "^16.2.0",
"react-redux": "^5.0.2",
"react-router-dom": "^4.2.2",
"react-styleguidist": "^6.2.5",
"recompose": "^0.26.0",
"rimraf": "^2.6.1",
"sass-loader": "^6.0.6",
"style-loader": "^0.19.0",
"webpack": "^3.8.1",
"webpack-node-externals": "^1.6.0"
"rimraf": "^2.6.1"
}
}
......@@ -40,10 +40,10 @@
"faker": "^4.1.0",
"file-loader": "^1.1.5",
"node-sass": "^4.5.3",
"react-styleguidist": "^6.2.5",
"react-styleguidist": "^8.0.6",
"sass-loader": "^6.0.6",
"style-loader": "^0.19.0",
"webpack": "^3.8.1",
"webpack": "^4.26.1",
"webpack-node-externals": "^1.6.0"
},
"peerDependencies": {
......
......@@ -35,12 +35,7 @@
"babel-preset-env": "^1.6.0",
"babel-preset-react": "^6.24.1",
"babel-preset-stage-2": "^6.24.1",
"css-loader": "^0.28.4",
"faker": "^4.1.0",
"file-loader": "^1.1.5",
"react-styleguidist": "^6.2.5",
"webpack": "^3.8.1",
"webpack-node-externals": "^1.6.0"
"faker": "^4.1.0"
},
"peerDependencies": {
"pubsweet-client": ">=2.1.0",
......
......@@ -25,15 +25,7 @@
"babel-preset-env": "^1.6.0",
"babel-preset-react": "^6.24.1",
"babel-preset-stage-2": "^6.24.1",
"css-loader": "^0.28.4",
"faker": "^4.1.0",
"file-loader": "^1.1.5",
"node-sass": "^4.5.3",
"react-styleguidist": "^6.2.5",
"sass-loader": "^6.0.6",
"style-loader": "^0.19.0",
"webpack": "^3.8.1",
"webpack-node-externals": "^1.6.0"
"faker": "^4.1.0"
},
"peerDependencies": {
"pubsweet-client": ">=2.1.0",
......
......@@ -36,7 +36,7 @@
"rimraf": "^2.6.1",
"sass-loader": "^6.0.6",
"style-loader": "^0.19.0",
"webpack": "4.19.0",
"webpack": "^4.16.0",
"webpack-node-externals": "^1.6.0"
},
"scripts": {
......
......@@ -141,7 +141,6 @@ module.exports = dir => {
}),
new webpack.ContextReplacementPlugin(/./, __dirname, {
[config.authsome.mode]: config.authsome.mode,
[config.validations]: config.validations,
}),
],
resolve: {
......
......@@ -54,5 +54,4 @@ module.exports = {
transforms: { dangerousTaggedTemplateString: true },
},
pagePerSection: true,
require: ['babel-polyfill'],
}
......@@ -42,18 +42,11 @@
"babel-preset-env": "^1.6.0",
"babel-preset-react": "^6.24.1",
"babel-preset-stage-2": "^6.24.1",
"css-loader": "^0.28.4",
"faker": "^4.1.0",
"file-loader": "^1.1.5",
"identity-obj-proxy": "^3.0.0",
"jest": "^23.5.0",
"jest-styled-components": "^5.0.1",
"node-sass": "^4.5.3",
"react-test-renderer": "^16.5.2",
"sass-loader": "^6.0.6",
"style-loader": "^0.19.0",
"webpack": "^3.8.1",
"webpack-node-externals": "^1.6.0"
"react-test-renderer": "^16.5.2"
},
"scripts": {
"clean": "rimraf dist",
......
This diff is collapsed.
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment